import csv
from selenium.webdriver.common.by import By


def get_element(page, element):
    with open('./locators.csv', newline='') as f:
        reader = csv.DictReader(f, delimiter=';')
        web_element = ''
        for el in reader:
            if (el.get('page')==page) & (el.get('element')==element):
                web_element = (By.XPATH, el.get('locator'))
        return web_element


def get_element_format(page, element, value):
    with open('./locators.csv', newline='') as f:
        reader = csv.DictReader(f, delimiter=';')
        web_element = ''
        for el in reader:
            if (el.get('page')==page) & (el.get('element')==element):
                element = el.get('locator').format(value)
                web_element = (By.XPATH, element)
        return web_element


def get_element_by_index(page, element, index):
    with open('./locators.csv', newline='') as f:
        reader = csv.DictReader(f, delimiter=';')
        web_element = ''
        for el in reader:
            if (el.get('page')==page) & (el.get('element')==element):
                element = f"{el.get('locator')}{[index]}"
                web_element = (By.XPATH, element)
                break
        return web_element
