import allure
import pandas as pd




@allure.step("Читаем таблицу и отдаем значение")
def read_exel():

    file = './downloads/products.xlsx'
    xl = pd.ExcelFile(file)
    df = xl.parse('products')
    filter = ["NaN", "NO NAME", "БЕЗ БРЕНДА"]
    test = df.loc[:, ['SAP ID', 'Название']].dropna()
    test2 = test.loc[~test["Название"].isin(filter)].head()
    list_data = test2.to_dict('split').get('data')
    res = []
    for el in list_data:
        k = r'	'.join([elem.__str__() for elem in el])
        res.append(k)
    return res